Bug 656310 - dhclient doesn't obsolete dhcpv6-client-2.0.0alpha*.fc12 packages
dhclient doesn't obsolete dhcpv6-client-2.0.0alpha*.fc12 packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
rawhide
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-23 08:27 EST by Paul Bolle
Modified: 2010-11-23 14:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-23 14:05:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Bolle 2010-11-23 08:27:54 EST
Description of problem:
dhclient doesn't obsolete dhcpv6-client-2.0.0alpha*.fc12 packages

Version-Release number of selected component (if applicable):
dhclient-4.2.0-19.P1.fc15.i686

How reproducible:
go back in time and (have yum) install dhcpv6-client-2.0.0alpha*.fc12 on a rawhide system and then (have yum) install dhclient

Steps to Reproduce:
1. (yum) install a recent version of dhclient
2.
3.
  
Actual results:
doesn't remove dhcpv6-client-2.0.0alpha*.fc12 package

Expected results:
removes dhcpv6-client-2.0.0alpha*.fc12 package

Additional info:
I just noticed that a system that has been tracking rawhide for quite some time now has both dhcpv6-client-2.0.0alpha4-1.fc12.i686 and dhclient installed. dhclient only obsoletes "dhcpv6-client <= 1.2.0-4".

Apparently dhcpv6-client-2.0.0alpha4-1.fc12.i686 never broke my updates and thus stayed unnoticed for over a year.

I guess there have been only a few releases of dhcpv6-2.0.0alpha*.fc12 (see http://koji.fedoraproject.org/koji/packageinfo?packageID=199 ). Most likely is that these were rawhide only releases. But there might be some more systems with comparable versions of dhcpv6-client still installed. That might justify a more broad obsolete of dhcpv6-client.
Comment 1 Jiri Popelka 2010-11-23 14:05:07 EST
Thank you for the report Paul,
should be fixed in dhclient-4.2.0-20.P1.fc15

Note You need to log in before you can comment on or make changes to this bug.